---
schema_version: "1"
id: 4d0a77e000119eab596a73004d0d1b78f718e4b6c0a36f026aaee4e08fa3680b
title: GET /contacts/v1/customObject/{id}/isUsedInContacts
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getCustomObject.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_contacts/getCustomObject.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 74432f53b1c3e090db3296d5f10cd326fb92174aeae5aa9257e4ba8247ff6271
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /contacts/v1/customObject/{id}/isUsedInContacts

## Overview

Retrieves information about whether the contact model for an account uses the custom object.

### URL Parameters

<!--complex table-->

| Name   | Type |              | Description                           |
| ------ | ---- | ------------ | ------------------------------------- |
| **id** | guid | **Required** | ID of the custom object as GUID value |

### Responses

| Status  | Name                    | Type    | Description                                              |
| ------- | ----------------------- | ------- | -------------------------------------------------------- |
| **200** | &nbsp;                  | &nbsp;  | **A validation response**                                |
| &nbsp;  | isUsedByContacts        | boolean | Indicates whether a contact model uses the custom object |
| &nbsp;  | requestServiceMessageID | guid    | Service message ID for the request                       |
| &nbsp;  | resultMessages          | array   | Array of returned messages regarding custom objects      |
| &nbsp;  | serviceMessageID        | guid    | Service message ID for the response                      |

## Usage

**Example Request**

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /contacts/v1/customObject/unique-UUID-from-SFMC/isUsedInContacts
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

**Example Response**

```js
{
    "isUsedByContacts": true
    "requestServiceMessageID": "unique-GUID-from-SFMC"
    "resultMessages": [0]
    "serviceMessageID": "unique-GUID-from-SFMC"
}
```
